USE COWS2
GO

ALTER TABLE dbo.SM
DROP CONSTRAINT [PK_SM],
CONSTRAINT [FK01_SM],
CONSTRAINT [FK02_SM],
CONSTRAINT [FK03_SM]
GO

DROP INDEX [IX01_SM] ON dbo.SM;

ALTER TABLE dbo.SM
DROP COLUMN [PRE_REQST_WG_PTRN_ID],
COLUMN DESRD_WG_PTRN_ID,
COLUMN CREAT_BY_USER_ID
GO

ALTER TABLE dbo.SM
ADD ID INT IDENTITY(1,1) NOT NULL,
PRE_REQST_TASK_ID smallint NULL,
DESRD_TASK_ID smallint NULL,
OPT_ID TINYINT NULL
GO


ALTER TABLE dbo.ACT_TASK
DROP CONSTRAINT [FK02_ACT_TASK]
GO


ALTER TABLE dbo.ACT_TASK
DROP COLUMN [WG_PROF_ID]
GO

ALTER TABLE dbo.ACT_TASK
DROP CONSTRAINT [PK_ACT_TASK]
GO

ALTER TABLE dbo.ACT_TASK
ALTER COLUMN [ACT_TASK_ID] BIGINT NOT NULL
GO

ALTER TABLE dbo.ACT_TASK
ADD CONSTRAINT [PK_ACT_TASK] PRIMARY KEY CLUSTERED 
(
	[ACT_TASK_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE dbo.SQL_ERROR
DROP CONSTRAINT [FK02_SQL_ERROR]
GO

DROP INDEX [IX02_SQL_ERROR] ON dbo.SQL_ERROR;

ALTER TABLE dbo.SQL_ERROR
DROP COLUMN [MODFD_DT],
COLUMN [MODFD_BY_USER_ID]
GO

ALTER TABLE dbo.SQL_ERROR
ADD [USER_NAME] VARCHAR(100) NULL
GO


--RUN DATA SCRIPT

----------------

ALTER TABLE dbo.SM
ALTER COLUMN PRE_REQST_TASK_ID smallint NOT NULL
GO

ALTER TABLE dbo.SM
ALTER COLUMN DESRD_TASK_ID smallint NOT NULL
GO

ALTER TABLE dbo.SM
ALTER COLUMN OPT_ID TINYINT NOT NULL
GO

ALTER TABLE dbo.SM
ADD CONSTRAINT [PK_SM] PRIMARY KEY CLUSTERED 
(
	ID ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
CONSTRAINT UX01_SM UNIQUE NONCLUSTERED (SM_ID, PRE_REQST_TASK_ID, DESRD_TASK_ID) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY] 
GO


--inserterrorinfo
EXEC dbo.InsertErrorInfo
declare @errmsg varchar(max) = ERROR_MESSAGE() + '|' + CONVERT(VARCHAR,ERROR_LINE()) + '|' + ERROR_PROCEDURE() + '|' + SUSER_SNAME() + '|' + host_name()
RAISERROR (@errmsg, 16, 1) WITH NOWAIT
-----------------------